> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/products/es/agent-browser/motor-y-huellas-digitales.md).

# Motor y huellas digitales

Elige el motor del navegador y la huella del sistema operativo para tus sesiones de Oxylabs Agent Browser.

Agent Browser te permite seleccionar qué motor del navegador ejecuta tu sesión y qué perfil de huella presenta a los sitios web. Ambos se configuran con parámetros de consulta en tu cadena de conexión:

```bash
wss://USER:PASS@hb.oxylabs.io?p_src=oxybrowser&p_fp_tag=oxyfp_mac_optimized
```

### Motor del navegador

<table><thead><tr><th width="97">Parámetro</th><th width="463.5">Descripción</th><th width="74">Tipo</th></tr></thead><tbody><tr><td><code>p_src</code></td><td>Motor del navegador. Establécelo en <code>oxybrowser</code> para usar el motor de navegador propietario, disponible para todas las cuentas. Si se omite, se usa el motor Chromium estándar.</td><td>cadena</td></tr></tbody></table>

### Perfiles de huella

Usa el `p_fp_tag` parámetro para seleccionar un perfil de huella:

<table><thead><tr><th width="192">Valor</th><th>Descripción</th></tr></thead><tbody><tr><td><code>oxyfp_win</code> <em>(predeterminado)</em></td><td>Huellas de Windows. Se aplican automáticamente si <code>p_fp_tag</code> se omite.</td></tr><tr><td><code>oxyfp_mac</code></td><td>Huellas estándar de macOS para scraping general.</td></tr><tr><td><code>oxyfp_mac_optimized</code></td><td>Huellas de macOS ajustadas para objetivos de difícil acceso. Úsalo solo con <code>p_src=oxybrowser</code>.</td></tr><tr><td><code>oxyfp_win_v1</code></td><td>Perfil heredado de Windows.</td></tr></tbody></table>

{% hint style="info" %}
Para usar siempre las últimas huellas de Windows, omite `p_fp_tag` en lugar de establecer `oxyfp_win_v1`.
{% endhint %}

### Solución de problemas

La dificultad de acceso difiere entre objetivos, por lo que la mejor combinación puede variar. Para objetivos protegidos, empieza con `p_src=oxybrowser` y `p_fp_tag=oxyfp_mac_optimized`. Si aún no puedes acceder a ellos, prueba otras combinaciones:

* Alterna entre perfiles de Windows y macOS.
* Alterna entre el motor de navegador estándar y el propietario.
* Combínalos con ajustes de geolocalización y tipo de dispositivo.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/products/es/agent-browser/motor-y-huellas-digitales.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
